package model

import "time"

type SupermarketSign struct {
	ModelIDCULD
	StoreID       string    `orm:"column(store_id);size(32)" json:"storeID"`                    // 门店ID
	StoreName     string    `orm:"column(store_name);size(128)" json:"storeName"`               // 门店名称
	CodeName      string    `orm:"column(code_name);size(32)" json:"codeName"`                  // 门店所属城市
	StoreType     string    `orm:"column(store_type);size(16)" json:"storeType"`                // 门店类型
	SalesVolume   int64     `orm:"column(sales_volume);size(16)" json:"salesVolume"`            // 销量
	Points        float64   `orm:"column(points);size(4)" json:"points"`                        // 扣点
	ContractFee   float64   `orm:"column(contract_fee);size(8)" json:"contractFee"`             // 签约收费
	SignStartTime time.Time `orm:"column(sign_start_time);type(datetime)" json:"signStartTime"` // 签约开始时间
	SignEndTime   time.Time `orm:"column(sign_end_time);type(datetime)" json:"signEndTime"`     // 签约结束时间
	SignPeople    string    `orm:"column(sign_people);size(36)" json:"signPeople"`              // 签约人
	Status        string    `orm:"column(status);size(36)" json:"status"`                       // 签约状态
	Remake        string    `orm:"column(remake);size(512)" json:"remake"`                      // 备注
	Reward        string    `orm:"column(reward);size(512)" json:"reward"`                      // 奖励信息
	CreateCrowd   string    `orm:"column(create_crowd);size(16)" json:"createCrowd"`            // 群状态
}

func (*SupermarketSign) TableUnique() [][]string {
	return [][]string{
		[]string{"StoreID"},
	}
}

func (*SupermarketSign) TableIndex() [][]string {
	return [][]string{
		[]string{"StoreID", "StoreName", "CodeName"},
		[]string{"SignStartTime"},
	}
}
